import request from '@/utils/request';

// 查询部门列表
export const listDept = (query) => {
  return request({
    url: '/api/system/dept/list',
    method: 'get',
    params: query
  });
};

// 查询部门列表（排除节点）
export const listDeptExcludeChild = (deptId) => {
  return request({
    url: '/api/system/dept/list/exclude/' + deptId,
    method: 'get'
  });
};

// 查询部门详细
export const getDept = (deptId) => {
  return request({
    url: '/api/system/dept/' + deptId,
    method: 'get'
  });
};

// 查询部门下拉树结构
export const treeselect = () => {
  return request({
    url: '/api/system/dept/treeselect',
    method: 'get'
  });
};

// 新增部门
export const addDept = (data) => {
  return request({
    url: '/api/system/dept',
    method: 'post',
    data: data
  });
};

// 修改部门
export const updateDept = (data) => {
  return request({
    url: '/api/system/dept',
    method: 'put',
    data: data
  });
};

// 删除部门
export const delDept = (deptId) => {
  return request({
    url: '/api/system/dept/' + deptId,
    method: 'delete'
  });
};
